ExceptionConst.EXCS (Apache Commons BCEL 6.6.1 API)

org.apache.bcel

## Enum ExceptionConst.EXCS

- java.lang.Object
- - java.lang.Enum<ExceptionConst.EXCS>
  - - org.apache.bcel.ExceptionConst.EXCS

- All Implemented Interfaces:
    Serializable, Comparable<ExceptionConst.EXCS>
  Enclosing class:
    ExceptionConst

      public static enum ExceptionConst.EXCS
      extends Enum<ExceptionConst.EXCS>

  Enum corresponding to the various Exception Class arrays, used by `ExceptionConst.createExceptions(EXCS, Class...)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCS_ARRAY_EXCEPTION`
    `EXCS_CLASS_AND_INTERFACE_RESOLUTION`
    `EXCS_FIELD_AND_METHOD_RESOLUTION`
    `EXCS_INTERFACE_METHOD_RESOLUTION`
    `EXCS_STRING_RESOLUTION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExceptionConst.EXCS` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExceptionConst.EXCS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXCS_CLASS_AND_INTERFACE_RESOLUTION

          public static final ExceptionConst.EXCS EXCS_CLASS_AND_INTERFACE_RESOLUTION

    - #### EXCS_FIELD_AND_METHOD_RESOLUTION

          public static final ExceptionConst.EXCS EXCS_FIELD_AND_METHOD_RESOLUTION

    - #### EXCS_INTERFACE_METHOD_RESOLUTION

          public static final ExceptionConst.EXCS EXCS_INTERFACE_METHOD_RESOLUTION

    - #### EXCS_STRING_RESOLUTION

          public static final ExceptionConst.EXCS EXCS_STRING_RESOLUTION

    - #### EXCS_ARRAY_EXCEPTION

          public static final ExceptionConst.EXCS EXCS_ARRAY_EXCEPTION

  - ### Method Detail

    - #### values

          public static ExceptionConst.EXCS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExceptionConst.EXCS c : ExceptionConst.EXCS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExceptionConst.EXCS valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.